#include <X11/extensions/XTest.h>
#include <stdio.h>

#define KEY_DOWN True
#define KEY_UP   False

#define KEY_MOD 37

int main(int argc, char *argv[]) {
  int i;
  char c;

  Display *dpy = XOpenDisplay(NULL);
  if (!dpy) return 1;
  for (i=1; i<argc; i++) {
    c=atoi (argv[i]);
    printf ("<%u>\n", c);
    XTestFakeKeyEvent(dpy, c, KEY_DOWN, CurrentTime);
    XTestFakeKeyEvent(dpy, c, KEY_UP, CurrentTime);
  }
  XCloseDisplay(dpy);
  return 0;
}

